version: '2'

services:

  static:
    image: allmende/lighttpd
    # build: .
    # env_files: ["./frontend.env"]
    labels:
      - traefik.enable=true
      - traefik.backend=net-degrowth-events
      - traefik.frontend.rule=Host:events.degrowth.net
      - traefik.frontend.passHostHeader=true
      - traefik.docker.network=web
      - traefik.port=3000
    volumes:
      - ./content/:/var/www
      - ./lighttpd.conf:/etc/lighttpd/lighttpd.conf
    expose:
      - 80
    networks:
      - web

networks:
  web:
    external: true
